import { ConfigProvider } from "ant-design-vue";
import { defineComponent } from "vue";
import { LoadingProvider } from "./Loading";
import { ModalProvider } from "./Modal";
import zhCN from "ant-design-vue/es/locale/zh_CN";
export const Provider = defineComponent((props, { slots }) => {
  return () => (
    <ConfigProvider locale={zhCN}>
      {slots.default?.()}
      <ModalProvider />
      <LoadingProvider />
    </ConfigProvider>
  );
});
